%define __provides_exclude_from ^%{_libdir}/apulse/.*.so.*$

Name:		apulse
Version:	0.1.10
Release:	%mkrel 1
Summary:	PulseAudio emulation for ALSA
License:	MIT and LGPL-2.1+
Group:		System/Libraries
URL:		https://github.com/i-rinat/apulse
Source:		https://github.com/i-rinat/apulse/archive/v%{version}.tar.gz
Patch1:		%{name}-0.1.10-libm.patch
BuildRequires:	gcc-c++
BuildRequires:	cmake >= 2.8.8
BuildRequires:	glib2-devel
BuildRequires:	pkgconfig(alsa)

%description
The program provides an alternative partial implementation of the
PulseAudio API.

It consists of a wrapper script and a number of shared libraries with
the same names as from original PulseAudio, so applications could
dynamically load them and think they are talking to
PulseAudio. Internally, no separate sound mixing daemon is used.

%prep
%setup -q
%patch1 -p1

%build
%cmake \
	-DAPULSEPATH:PATH=%{_libdir}/%{name} \
	-DAPULSE_SEARCH_PATHS:PATH=%{_libdir}/%{name} \
	-DUSE_BUNDLED_PULSEAUDIO_HEADERS:BOOL=ON
	
%make_build VERBOSE=1

%install
%make_install -C build

ln -sf libpulsecommon-5.0.so \
    %{buildroot}%{_libdir}/%{name}/libpulsecommon-4.0.so

%files
%defattr(-,root,root)
%doc LICENSE.MIT README*
%{_bindir}/*
%{_libdir}/*


%changelog
* Tue Apr 25 2017 ghibo <ghibo> 0.1.10-1.mga6
+ Revision: 1097321
- Bump release.
- imported package apulse


* Tue Apr 25 2017 Giuseppe Ghibò - - 0.1.10-0.mga6
- Initial release based on OpenSUSE spec file.
